"use strict";

require("core-js/modules/es6.symbol.js");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatAntd = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

require("core-js/modules/web.dom.iterable.js");

var _react = _interopRequireWildcard(require("react"));

var _moment = _interopRequireDefault(require("moment"));

require("moment-timezone");

var _graphqlComment = require("./Graphql/graphqlComment");

var _InputComment = _interopRequireDefault(require("./Components/InputComment"));

require("../../styles/antd/antd-output.css");

require("../../styles/tailwind/tailwind-output.css");

var _antd = require("antd");

var _icons = require("@ant-design/icons");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const ChatAntd = props => {
  var _lComment$data;

  _moment.default.tz.setDefault('UTC');

  const {
    app_id,
    unique,
    onChange,
    people
  } = props;
  const [lComment, setLComment] = (0, _react.useState)({});
  (0, _react.useEffect)(() => {
    if (lComment.data && onChange) onChange(lComment);
  }, [lComment]);

  const getLComment = async () => {
    var _res$data;

    const res = await (0, _graphqlComment.listComment)({
      app_id,
      unique
    });
    setLComment(res === null || res === void 0 ? void 0 : (_res$data = res.data) === null || _res$data === void 0 ? void 0 : _res$data.list_comment);
  };

  (0, _react.useEffect)(() => {
    (async () => getLComment())();
  }, []);
  return /*#__PURE__*/_react.default.createElement("section", {
    className: "text-left space-y-2 "
  }, /*#__PURE__*/_react.default.createElement("main", {
    style: {
      height: "50em"
    },
    className: "flex flex-col items-center justify-center"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "flex flex-col flex-grow w-full max-w-xl bg-white   overflow-hidden"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "flex justify-between border-b pb-2"
  }, /*#__PURE__*/_react.default.createElement("figure", {
    className: "flex items-center"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "w-8"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "pb-1x1 relative rounded-full overflow-hidden bg-gray-300"
  }, /*#__PURE__*/_react.default.createElement("img", {
    alt: "",
    src: "https://picsum.photos/300",
    className: "absolute h-full w-full object-cover"
  }))), /*#__PURE__*/_react.default.createElement("figcaption", {
    className: "ml-2"
  }, "image-pb-1x1")), /*#__PURE__*/_react.default.createElement(_antd.Space, null, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_icons.VideoCameraOutlined, null)
  }), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_icons.PhoneOutlined, null)
  }), /*#__PURE__*/_react.default.createElement(_antd.Button, {
    icon: /*#__PURE__*/_react.default.createElement(_icons.CloseOutlined, null)
  }))), /*#__PURE__*/_react.default.createElement("ul", {
    className: "flex flex-col flex-grow flex-col-reverse h-0 p-4 overflow-auto"
  }, ((_lComment$data = lComment === null || lComment === void 0 ? void 0 : lComment.data) !== null && _lComment$data !== void 0 ? _lComment$data : []).map(item => {
    var _item$people, _item$people2, _item$people5, _item$people6;

    console.log('people?.special_id', people === null || people === void 0 ? void 0 : people.special_id);
    console.log('item.people?.special_id', (_item$people = item.people) === null || _item$people === void 0 ? void 0 : _item$people.special_id);

    if ((people === null || people === void 0 ? void 0 : people.special_id) == ((_item$people2 = item.people) === null || _item$people2 === void 0 ? void 0 : _item$people2.special_id)) {
      var _item$people3, _item$people4;

      return /*#__PURE__*/_react.default.createElement("li", {
        className: "flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end"
      }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
        className: "bg-blue-600 text-white p-3 rounded-l-lg rounded-br-lg"
      }, /*#__PURE__*/_react.default.createElement("p", {
        className: "text-sm"
      }, item.content)), /*#__PURE__*/_react.default.createElement("span", {
        className: "text-xs text-gray-500 leading-none"
      }, (0, _moment.default)(item.created_at).fromNow())), /*#__PURE__*/_react.default.createElement("div", {
        className: "flex-shrink-0 w-10 h-10 rounded-full overflow-hidden"
      }, /*#__PURE__*/_react.default.createElement("div", {
        className: "pb-1x1 relative rounded-sm overflow-hidden bg-gray-300"
      }, /*#__PURE__*/_react.default.createElement("img", {
        alt: (_item$people3 = item.people) === null || _item$people3 === void 0 ? void 0 : _item$people3.name,
        src: (_item$people4 = item.people) === null || _item$people4 === void 0 ? void 0 : _item$people4.avatar,
        className: "absolute h-full w-full object-cover"
      }))));
    }

    return /*#__PURE__*/_react.default.createElement("li", {
      className: "flex w-full mt-2 space-x-3 max-w-xs"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "flex-shrink-0 w-10 h-10 rounded-full overflow-hidden"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "pb-1x1 relative rounded-sm overflow-hidden bg-gray-300"
    }, /*#__PURE__*/_react.default.createElement("img", {
      alt: (_item$people5 = item.people) === null || _item$people5 === void 0 ? void 0 : _item$people5.name,
      src: (_item$people6 = item.people) === null || _item$people6 === void 0 ? void 0 : _item$people6.avatar,
      className: "absolute h-full w-full object-cover"
    }))), /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
      className: "bg-gray-300 p-3 rounded-r-lg rounded-bl-lg"
    }, /*#__PURE__*/_react.default.createElement("p", {
      className: "text-sm"
    }, item.content)), /*#__PURE__*/_react.default.createElement("span", {
      className: "text-xs text-gray-500 leading-none"
    }, (0, _moment.default)(item.created_at).fromNow())));
  })), /*#__PURE__*/_react.default.createElement(_InputComment.default, (0, _extends2.default)({}, props, {
    onChange: values => {
      console.log('values', values);
      setLComment(_objectSpread(_objectSpread({}, lComment), {}, {
        data: [values.data, ...lComment.data],
        pageInfo: _objectSpread(_objectSpread({}, lComment.pageInfo), {}, {
          total_item: lComment.pageInfo.total_item + 1
        })
      }));
    }
  })))));
};

exports.ChatAntd = ChatAntd;